:root {
    --azul-marinho-escuro: #4f7390;
    --azul-marinho-escuro-claro: #4f739090;
}

.section_principal {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.article_texto {
    display: flex;
    gap: 16px;
}

.sectionMensagemIa {
    width: 100%;
}

.articleMensagemIa {
    border: 5px solid var(--azul-marinho-escuro);
    background: #fff;
    border-radius: 15px;
    padding: 8px;
    height: 70vh;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.divMensagem {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.divMensagemPersonalizada p {
    font-family: var(--font-family);
    color: black;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-align: right;
}

.divMensagemPersonalizada {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.divEntrada {
    display: flex;
    align-items: center;
    gap: 8px;
}

.divRespostaIa {
    opacity: 1;
    animation: textResposta 2s ease-in-out;
    overflow-y: scroll;
    padding: 0 1em;
}

.message {
    margin: 1em 0;
}

.user-message {
    display: flex;
    justify-content: right;
}

.user-message .circle {
    border: 3px solid var(--azul-marinho-escuro);
    border-radius: 15px;
    padding: 8px;
    max-width: 60%;
    position: relative;
    background-color: white;
    border-bottom-right-radius: 0;
}

.user-message .circle::after {
    content: "";
    position: absolute;
    bottom: -10px;
    right: -7px;
    transform: translate(-50%);
    border-left: 10px solid transparent;
    border-top: 10px solid var(--azul-marinho-escuro);
    z-index: 2;
}

.bot-message {
    width: 60%;
}

.circle-text {
    overflow-y: scroll;
    text-overflow: ellipsis;
    word-break: break-word;
}

.inputIa {
    width: 100%;
    height: 15vh;
}

.buttonSubmit {
    max-height: 60px;
}

.pInicio,
.pMeio,
.pFinal {
    text-align: left;
}

.pInicio {
    width: 50%;
}

.pMeio {
    width: 80%;
}

.pFinal {
    width: 96%;
}

@media screen and (max-width: 572px) {
    .article_texto {
        flex-direction: column-reverse;
    }
}

@keyframes textResposta {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
